
import pygame as pg
pg.init()

pg.display.set_caption("Šareni kvadrat")
(sirina, visina) = (400, 400)
prozor = pg.display.set_mode((sirina, visina))

ZELENA= (180,250,180)
PLAVA= (10,70,120)
rastojanje = 50
broj_linija =sirina// rastojanje

prozor.fill(ZELENA)

for i in range(broj_linija):
    pg.draw.line(prozor,PLAVA,(i*rastojanje,0),(0,i*rastojanje),2)
    pg.draw.line(prozor,PLAVA,(i*rastojanje,visina),(sirina,i*rastojanje),2)
    pg.draw.line(prozor,PLAVA,(0,i*rastojanje),(sirina - i*rastojanje,visina),2)
    pg.draw.line(prozor,PLAVA,(i*rastojanje,0),(sirina,visina - i*rastojanje),2)

pg.display.update()
while pg.event.wait().type != pg.QUIT:
    pass
pg.quit()





